> For the complete documentation index, see [llms.txt](https://docs.miatel.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.miatel.com/api/flash-call-api/send-flash-call.md).

# Send Flash Call

If you wish to send Flash Call via HTTP API, please contact us at <support@miatel.com> stating your Miatel account and the IP addresses to whitelist.

## Endpoint

```
https://sms-hub.miatel.com:4849/sendsms
```

## Request Parameters

<table><thead><tr><th width="140">Name</th><th width="83">Type</th><th>Description</th></tr></thead><tbody><tr><td>username</td><td>string</td><td>Username or account name</td></tr><tr><td>password</td><td>string</td><td>The password associated with the given username</td></tr><tr><td>from</td><td>string</td><td>The transmitted PIN/SRC number (optional)</td></tr><tr><td>to</td><td>string</td><td>Recipient's phone number (DST-number)</td></tr><tr><td>text</td><td>string</td><td><p>The PIN code for the transfer. <br><br>You can specify the value of the ring duration <code>rt</code> (ring time), since the time when the call is turned on differs in different directions, and you can adjust it. </p><p></p><p><code>rt5</code> means 5 seconds of the call.</p><p>(example: <code>rt 5_1234</code>, where 1234 is the transmitted PIN code with a call time limit of up to 5 seconds).</p></td></tr></tbody></table>

## Request Example

```
https://sms-hub.miatel.ru:4849/sendsms?username=client&password=98765&to=6585911223&text=1234
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.miatel.com/api/flash-call-api/send-flash-call.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
